clear all;
close all;
%-------------------------------------------------------------------------------------------
X = [0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46; 
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46; 
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46; 
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46];
 
 Xrow = [0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46];
 Ycol = [68.2 68.575 68.95 69.325 69.7 70.075 70.45 70.825 71.2 71.575 71.95 72.325 72.7 73.075 73.45 73.825 74.2]';
 
 Y = [Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol]*10^9;

x = reshape(X,17,17)';
y = reshape(Y,17,17)';

z = [
0.00192687	0.0019143	0.00190128	0.00188783	0.00187393	0.00185958	0.00184478	0.00182952	0.0018138	0.0017976	0.0017809	0.00176369	0.00174592	0.00172756	0.00170851	0.00168864	0.00166768;
0.00191634	0.00190383	0.00189089	0.0018775	0.00186368	0.00184941	0.00183469	0.00181952	0.00180388	0.00178777	0.00177116	0.00175404	0.00173637	0.00171811	0.00169917	0.0016794	0.00165856;
0.00190591	0.00189347	0.0018806	0.00186729	0.00185354	0.00183935	0.00182472	0.00180962	0.00179407	0.00177804	0.00176153	0.0017445	0.00172693	0.00170877	0.00168993	0.00167027	0.00164954;
0.0018956	0.00188323	0.00187043	0.00185719	0.00184352	0.0018294	0.00181484	0.00179983	0.00178437	0.00176842	0.001752	0.00173507	0.00171759	0.00169952	0.00168078	0.00166123	0.00164062;
0.00188541	0.0018731	0.00186036	0.0018472	0.0018336	0.00181956	0.00180508	0.00179015	0.00177476	0.00175891	0.00174257	0.00172573	0.00170835	0.00169038	0.00167174	0.0016523	0.00163179;
0.00187532	0.00186308	0.00185041	0.00183731	0.00182379	0.00180983	0.00179542	0.00178057	0.00176527	0.0017495	0.00173325	0.00171649	0.00169921	0.00168133	0.0016628	0.00164346	0.00162306;
0.00186533	0.00185316	0.00184056	0.00182753	0.00181408	0.00180019	0.00178586	0.00177109	0.00175587	0.00174019	0.00172402	0.00170736	0.00169016	0.00167238	0.00165394	0.00163471	0.00161442;
0.00185546	0.00184335	0.00183081	0.00181786	0.00180448	0.00179066	0.00177641	0.00176172	0.00174657	0.00173097	0.00171489	0.00169832	0.00168121	0.00166353	0.00164519	0.00162605	0.00160587;
0.00184568	0.00183364	0.00182117	0.00180828	0.00179497	0.00178123	0.00176705	0.00175244	0.00173738	0.00172185	0.00170586	0.00168937	0.00167236	0.00165477	0.00163652	0.00161749	0.00159741;
0.00183601	0.00182403	0.00181163	0.00179881	0.00178557	0.0017719	0.00175779	0.00174326	0.00172827	0.00171283	0.00169692	0.00168052	0.0016636	0.0016461	0.00162795	0.00160901	0.00158904;
0.00182645	0.00181452	0.00180219	0.00178944	0.00177626	0.00176266	0.00174863	0.00173417	0.00171927	0.00170391	0.00168808	0.00167176	0.00165492	0.00163752	0.00161946	0.00160063	0.00158076;
0.00181697	0.00180512	0.00179284	0.00178016	0.00176705	0.00175352	0.00173957	0.00172518	0.00171035	0.00169507	0.00167933	0.0016631	0.00164635	0.00162903	0.00161107	0.00159233	0.00157257;
0.0018076	0.00179581	0.0017836	0.00177097	0.00175794	0.00174448	0.00173059	0.00171628	0.00170153	0.00168633	0.00167066	0.00165452	0.00163785	0.00162063	0.00160276	0.00158411	0.00156445;
0.00179833	0.00178659	0.00177444	0.00176189	0.00174891	0.00173552	0.00172171	0.00170747	0.0016928	0.00167767	0.00166209	0.00164603	0.00162945	0.00161231	0.00159453	0.00157599	0.00155643;
0.00178915	0.00177747	0.00176538	0.00175289	0.00173999	0.00172666	0.00171292	0.00169876	0.00168415	0.00166911	0.0016536	0.00163762	0.00162113	0.00160408	0.00158639	0.00156794	0.00154848;
0.00178006	0.00176844	0.00175642	0.00174399	0.00173115	0.00171789	0.00170422	0.00169013	0.0016756	0.00166063	0.00164521	0.0016293	0.00161289	0.00159593	0.00157833	0.00155997	0.00154061;
0.00177106	0.0017595	0.00174754	0.00173517	0.0017224	0.00170921	0.00169561	0.00168158	0.00166713	0.00165224	0.00163689	0.00162107	0.00160474	0.00158786	0.00157036	0.00155209	0.00153283];

%-------------------------------------------------------------------------------------------
% Plot: lambda(E,nu)
figure(1)
% tiledlayout(2,1)
% % Top plot
% ax1 = nexttile;
% stem(ax1,y,z)

% % Bottom plot
% ax2 = nexttile;  
% stem3(ax2,x,y,z,'MarkerFaceColor','r')

stem3(x,y,z,'--',...
    'MarkerEdgeColor','[0.4940 0.1840 0.5560]',...    
    'MarkerFaceColor','[0.4940 0.1840 0.5560]')

zlim([0.0015 0.00193])
ylim([68.2E9 74.2E9])
xlim([0.3 0.46])

xticks([0.30 0.32 0.35 0.38 0.40 0.43 0.46])
yticks([68.2E9 69.0E9 70E9 71.0E9 72E9 73E9 74.2E9])
zticks([0.00153 0.00163 0.00173 0.00183 0.00193])

title('Strain energy density $\mathcal{E}(E,\nu)$ - High load - LLZO-noDoped','interpreter','latex','FontSize',12);
ylabel('Young $E \ [N/m^2]$','interpreter','latex','FontSize',12); 
xlabel('Poisson $\nu \ [-]$','interpreter','latex','FontSize',12);
zlabel('$\mathcal{E} (E,\nu)$','interpreter','latex','FontSize',12);

set(gca,'TickLabelInterpreter','latex');
view([37 46]);
grid on
set(gcf,'renderer','Painters')
print -depsc -tiff -r300 -painters Highload_noDoped_strainenergy_LLZO_48e.eps
print -dpng Highload_noDoped_strainenergy_LLZO_48e.png